Skip to content

nodes / apt ​

8 operations.

GET /nodes/{node}/apt ​

ts
proxmox.nodes.$(node).apt.$get()

Directory index for apt (Advanced Package Tool).

Returns an array of object.

ParameterTypeRequiredNotes
nodestringyesThe cluster node name. — format pve-node

GET /nodes/{node}/apt/changelog ​

ts
proxmox.nodes.$(node).apt.changelog.$get()

Get package changelogs.

Returns string.

ParameterTypeRequiredNotes
namestringyesPackage name.
nodestringyesThe cluster node name. — format pve-node
versionstringPackage version.

GET /nodes/{node}/apt/repositories ​

ts
proxmox.nodes.$(node).apt.repositories.$get()

Get APT repository information.

Returns object.

ParameterTypeRequiredNotes
nodestringyesThe cluster node name. — format pve-node

POST /nodes/{node}/apt/repositories ​

ts
proxmox.nodes.$(node).apt.repositories.$post()

Change the properties of a repository. Currently only allows enabling/disabling.

Returns nothing.

ParameterTypeRequiredNotes
digeststringDigest to detect modifications. — ≤ 80 chars
enabledbooleanWhether the repository should be enabled or not.
indexnumberyesIndex within the file (starting from 0).
nodestringyesThe cluster node name. — format pve-node
pathstringyesPath to the containing file.

PUT /nodes/{node}/apt/repositories ​

ts
proxmox.nodes.$(node).apt.repositories.$put()

Add a standard repository to the configuration

Returns nothing.

ParameterTypeRequiredNotes
digeststringDigest to detect modifications. — ≤ 80 chars
handlestringyesHandle that identifies a repository.
nodestringyesThe cluster node name. — format pve-node

GET /nodes/{node}/apt/update ​

ts
proxmox.nodes.$(node).apt.update.$get()

List available updates.

Returns an array of object.

ParameterTypeRequiredNotes
nodestringyesThe cluster node name. — format pve-node

POST /nodes/{node}/apt/update ​

ts
proxmox.nodes.$(node).apt.update.$post()

This is used to resynchronize the package index files from their sources (apt-get update).

Returns string.

ParameterTypeRequiredNotes
nodestringyesThe cluster node name. — format pve-node
notifybooleanSend notification about new packages. — default 0
quietbooleanOnly produces output suitable for logging, omitting progress indicators. — default 0

GET /nodes/{node}/apt/versions ​

ts
proxmox.nodes.$(node).apt.versions.$get()

Get package information for important Proxmox packages.

Returns an array of object.

ParameterTypeRequiredNotes
nodestringyesThe cluster node name. — format pve-node